summaryrefslogtreecommitdiff
path: root/lib
diff options
context:
space:
mode:
authortradke <tradke@17b73243-c579-4c4c-a9d2-2d5706c11dac>1999-09-14 12:09:27 +0000
committertradke <tradke@17b73243-c579-4c4c-a9d2-2d5706c11dac>1999-09-14 12:09:27 +0000
commit91548db0b4c279085ade38f6fcb4526b742f19d4 (patch)
tree70e16072f5d38de35b126ade55f93180ec9fedf8 /lib
parent4700d08041f4bd97de3a32eee26d40c88e28ab79 (diff)
Configuration script for parallel HDF5 (configure option HDF5=PARALLEL)
It checks that it is configured together with MPI and that HDF5_DIR really points to a parallel version of HDF5. The tricky thing with MPI is that the HDF5 lib should have been compiled with the same MPI version that is used for Cactus. Don't know how to check this for now. git-svn-id: http://svn.cactuscode.org/flesh/trunk@916 17b73243-c579-4c4c-a9d2-2d5706c11dac
Diffstat (limited to 'lib')
-rw-r--r--lib/make/extras/HDF5/PARALLEL42
1 files changed, 42 insertions, 0 deletions
diff --git a/lib/make/extras/HDF5/PARALLEL b/lib/make/extras/HDF5/PARALLEL
new file mode 100644
index 00000000..00289cda
--- /dev/null
+++ b/lib/make/extras/HDF5/PARALLEL
@@ -0,0 +1,42 @@
+#! /bin/sh
+# /*@@
+# @file PARALLEL
+# @date Thu Sep 09 1999
+# @author Thomas Radke
+# @desc
+# Sets up parallel HDF5 includes and libs
+# @enddesc
+# @version $Header:
+# @@*/
+
+echo "PARALLEL selected"
+
+if test -z "$MPI" ; then
+ echo "Parallel HDF5 selected without MPI - please configure with MPI"
+ exit 2
+fi
+
+if test -z "$HDF5_DIR" ; then
+ echo "HDF5 selected but no HDF5_DIR set... Checking some places"
+ CCTK_Search HDF5_DIR "/usr /usr/local /usr/local/hdf5-parallel /usr/local/packages/hdf5-parallel /usr/local/apps/hdf5-parallel c:/packages/hdf5-parallel" include/hdf5.h
+ if test -z "$HDF5_DIR" ; then
+ echo "Unable to locate the HDF5 directory - please set HDF5_DIR"
+ exit 2
+ fi
+fi
+
+grep -e '#define HAVE_PARALLEL 1' ${HDF5_DIR}/include/H5config.h > /dev/null
+bla="bla$?"
+
+if test $bla != "bla0" ; then
+ echo "The installed HDF5 library found in ${HDF5_DIR} seems to be a serial version."
+ echo "Please set HDF5_DIR to refer to an installed parallel HDF5 version."
+ exit 2
+fi
+
+HDF5_LIBS=hdf5
+if test `uname` = "Linux" ; then
+ HDF5_LIBS="hdf5 z"
+fi
+HDF5_LIB_DIRS="$HDF5_DIR/lib"
+HDF5_INC_DIRS="$HDF5_DIR/include"